Developer License Agreement and Terms of Use
============================================

This Developer License Agreement and Terms of Use (“Agreement”) governs the use by developers and third parties (“you”) of electronic data owned and maintained by Department of Transport and Communications (“DOTC,” “we” or “us”), including, but not limited to, the General Transit Feed Specification (“GTFS Data”). DOTC can change this Agreement at any time by posting a revised Agreement as DOTC deems necessary. Your continued use of any DOTC Data constitutes acceptance of those changes.

I. Limited License
------------------

1. Subject to your compliance with this Agreement, DOTC grants you a limited, non-exclusive, non-assignable, non-transferable and revocable license to use, reproduce, and distribute DOTC Data as provided by DOTC through the application programming interfaces (“APIs”), data feeds or otherwise for the sole purpose of assisting mass transportation (i.e., bus or rail) riders or in furtherance of promoting public transportation. Except as expressly provided in this Agreement, DOTC Data may not be copied, reproduced, downloaded or distributed in any manner, in whole or in part, without the express permission of DOTC.

2. By using, reproducing, or distributing the DOTC Data, you agree to be bound by this Agreement. IF YOU DO NOT AGREE TO BE BOUND BY THIS AGREEMENT, YOU MAY NOT USE DOTC DATA.

II. Ownership of DOTC Data
--------------------------

1. All right, title and interest in and to patents, copyrights, trademarks, and other intellectual property and ownership rights embodied in the DOTC Data, including, but not limited to, any new or useful art, discovery, improvement, technical development or invention, whether or not patentable, and all related know-how, designs, mask works, formulae, processes, trade secrets, ideas, artwork, software, hardware, graphics, layout, and modules, are DOTC’s sole and exclusive property and are protected from unauthorized use, copying and distribution by domestic and international laws, regulations and international treaties.

2. You acknowledge that DOTC owns all rights in the DOTC Data, including, without limitation, any changes that you make to the DOTC Data, and you do not acquire any rights in the DOTC Data by virtue of your use of the DOTC Data under this Agreement or otherwise.

3. All uses of the DOTC Data by you inure to the sole benefit of DOTC to the extent they relate to intellectual property and other proprietary rights owned by DOTC.

4. You agree not to challenge, directly or indirectly, DOTC’s rights in the DOTC Data or assert any right, title or interest in or to the DOTC Data or assist any third party in doing so.

5. Subject to the license to use the DOTC Data and DOTC Brand Assets (defined below), you retain ownership of your application, technology, website, feature, product, or service, etc. that incorporates the DOTC Data (collectively and each, an “application”) (including any code therein) and you are solely responsible for claims made in connection with or related to your application, and you agree to defend, indemnify and hold DOTC harmless for any claims with respect thereto.

III. Limitations on Use of DOTC Data and Guidelines for Use of the DOTC Brand Assets
------------------------------------------------------------------------------------

Your use of DOTC Data is subject to the following limitations and restrictions:

1. You and your application must not express or imply any affiliation or relationship with or sponsorship or endorsement by DOTC.

2. You may cache DOTC Data you receive from DOTC in order to improve your application’s user experience, but you agree to take reasonable efforts to keep the DOTC Data up to date.

3. You will not sell, auction or barter any DOTC Data separate from your application. If you are acquired by or merge with a third party, you can continue to use DOTC Data within your application subject to the terms of this Agreement, but you may not transfer the DOTC Data outside your application.

4. Subject to you abiding by this agreement, DOTC grants you a limited, non-exclusive, non-assignable, non-transferable and revocable license and right to use the names, logos, trademarks, title treatments and art (the “DOTC Brand Assets”) as provided by DOTC that relate to the DOTC Data, for your use solely in connection with offering your application.

5. You may not use the DOTC Brand Assets or any trademarks or terms confusingly similar to DOTC’s trademarks in the name of your application or in any way that may suggest that DOTC is affiliated with, endorses, or sponsors you or your application or that is likely to tarnish or dilute the DOTC Brand Assets.

6. When using the DOTC Data, you have the option, but not the obligation, to credit DOTC. If you elect to include a credit line, it should read as follows: “Data provided by the Department of Transportation and Communications,” “Data provided by DOTC” or “Powered by DOTC data” or similar, descriptive language.

IV. Quality Control
-------------------

1. You acknowledge that the DOTC Brand Assets have acquired a most valuable goodwill and that it is of great importance to DOTC that you, in the offering of any products or services in connection with the DOTC Brand Assets, maintain the high standards and reputation DOTC has established such that the goodwill associated with the DOTC Brand Assets is protected at all times. You agree to maintain the same high standards of quality for any applications bearing the DOTC Brand Assets.

2. You acknowledge that DOTC owns all rights in the DOTC Brand Assets and you do not acquire any rights in the DOTC Brand Assets by virtue of its use pursuant to this Agreement.

3. All uses of the DOTC Brand Assets by you inure to the sole benefit of DOTC.

4. You agree not to challenge, directly or indirectly, DOTC’s rights in the DOTC Brand Assets or assert any right, title or interest in or to the DOTC Brand Assets or assist any third party in doing so.

5. You agree to cooperate with DOTC and provide DOTC with specimens of use of the DOTC Brand Assets promptly upon DOTC’s request.

6. You are solely responsible for your application and its code and content and all uses you make of the DOTC Data and DOTC Brand Assets. This includes ensuring your use and your application‘s use of the DOTC Data and DOTC Brand Assets meets the requirements of this Agreement.

V. Termination
--------------

1. Notwithstanding any other provision in this Agreement, if you are in breach of your obligations under this Agreement, DOTC has the right to terminate this Agreement immediately.

2. DOTC can take enforcement action against you and any or all of your applications if DOTC determines, in our sole judgment, that you or your application violates this Agreement. Enforcement actions can include disabling your application, restricting you and your application’s access to the DOTC Data, terminating our agreements with you, or any other action as we in our sole discretion deem appropriate.

3. Upon any termination or expiration of this Agreement, you will promptly delete all DOTC Data from your application, computer systems or other storage devices and discontinue all use of the DOTC Brand Assets. You agree to certify in writing that it has performed its obligations under this Section V if DOTC requests a certification.

VI. No Guarantee or Warranty of Availability of DOTC Data
---------------------------------------------------------

1. DOTC reserves the right at any time and from time to time to discontinue posting the DOTC Data (or any part thereof), temporarily or permanently, with or without notice to you.

2. You agree that DOTC will not be liable to you for any modification, suspension or discontinuance of the availability of the DOTC Data.

3. DOTC reserves the right to alter, correct and modify DOTC Data at any time without prior notice to you.

VII. Disclaimer of Warranties
-----------------------------

1. YOU AGREE THAT DOTC DATA IS PROVIDED ON AN “AS IS” AND “AS AVAILABLE” BASIS. TO THE FULLEST EXTENT PERMITTED BY LAW, DOTC, ITS EMPLOYEES, OFFICERS, DIRECTORS AND AGENTS (COLLECTIVELY, THE “DOTC PARTIES”) MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, AS TO THE DOTC DATA, ITS ACCURACY, COMPLETENESS, USEFULNESS, TIMELINESS, RELIABILITY OR FUNCTIONALITY, OR THAT ANY PRODUCTS OR SERVICES MADE AVAILABLE BY THE DOTC OR THIRD PARTIES INCORPORATING THE DOTC DATA, AND/OR THE SECURITY ASSOCIATED WITH THE TRANSMISSION OF DOTC DATA. THE DOTC PARTIES HEREBY DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, ACCURACY, AND NON-INFRINGEMENT. YOU AGREE THAT USE OF DOTC DATA IS AT YOUR SOLE RISK. SOME JURISDICTIONS DO NOT ALLOW THE DISCLAIMER OF IMPLIED OR OTHER WARRANTIES, SO THE ABOVE DISCLAIMER MAY NOT APPLY TO YOU.

2. THE DOTC PARTIES ARE NOT RESPONSIBLE FOR, AND DO NOT ENDORSE, THIRD PARTY CONTENT, APPLICATIONS AND/OR MATERIALS INCORPORATING DOTC DATA THAT MAY BE MADE AVAILABLE FROM TIME TO TIME ON ITS WEBSITE OR ELSWHERE (COLLECTIVELY, THE “DOTC WEB SITE”) (EVEN IF THE DOTC WEB SITE PROVIDES A LINK TO OR OTHERWISE ADVERTISES SUCH THIRD PARTY CONTENT, APPLICATIONS AND/OR MATERIALS) AND SPECIFICALLY DISCLAIMS ANY RESPONSIBILITY OR LIABILITY TO ANY PERSON OR ENTITY, INCLUDING, WITHOUT LIMITATION, ANY PERSON OR ENTITY THAT MAY USE OR RELY ON SUCH THIRD PARTY CONTENT, APPLICATIONS AND/OR MATERIALS, EVEN IF THEY INCORPORATE DOTC DATA, FOR ANY LOSS, DAMAGE (WHETHER ACTUAL, CONSEQUENTIAL OR OTHERWISE), INJURY, CLAIM, LIABILITY OR OTHER CLAIM OF ANY KIND BASED UPON OR RESULTING FROM SUCH THIRD PARTY CONTENT, APPLICATIONS AND/OR MATERIALS.

VIII. Limitation of Liability
-----------------------------

YOU AGREE THAT THE DOTC PARTIES WILL NOT BE LIABLE FOR LOSSES OR DAMAGES OF ANY KIND ARISING FROM THE USE OF DOTC DATA, INCLUDING, BUT NOT LIMITED TO, DIRECT, INDIRECT, INCIDENTAL, PUNITIVE AND CONSEQUENTIAL LOSSES OR DAMAGES, REGARDLESS OF WHETHER SUCH LOSSES OR DAMAGES ARISE BASED UPON CONTRACT, NEGLIGENCE, STRICT LIABILITY IN TORT, WARRANTY OR OTHER LEGAL THEORY AND REGARDLESS OF WHETHER SUCH LOSS OR DAMAGES WERE FORESEEABLE, EVEN IF THE DOTC PARTIES WERE ADVISED OF OR SHOULD HAVE KNOWN OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL THE DOTC PARTIES’ TOTAL LIABILITY TO YOU FOR LOSS OR DAMAGES EXCEED TEN U.S. DOLLARS. SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION OR EXCLUSION MAY NOT APPLY TO YOU.

IX. Indemnification
-------------------

1. You agree to indemnify, defend and hold the DOTC Parties harmless from and against any and all fines, suits, proceedings, claims, causes of action, demands, or liabilities (including reasonable attorney’s fees) of any kind or of any nature arising out of or in connection with: (i) your use of DOTC Data; (ii) a breach or alleged breach of your representations, warranties, agreements or obligations in this Agreement; (iii) any actual or alleged infringement, misappropriation, or violation of any third party’s intellectual property or other rights, including, without limitation, patents, copyrights, trademarks, service marks, or trade secrets by you or your application; and (iv) the development, marketing, distribution, licensing, sale and/or use of any applications, technology, products or services sold, licensed or otherwise distributed by you.

2. You agree not to settle any claim, action or lawsuit subject to this Section IX without the prior written consent of DOTC.

3. You agree that DOTC will have the right, but not the obligation, to participate in any claim, action or lawsuit for which you have an indemnification obligation under this Agreement.

X. Binding Effect; No Assignability without Express Consent

1. The terms of this Agreement are binding upon both you and DOTC and inure to the benefit of the successors and assigns of the parties as if they were parties to this Agreement.

2. None of the rights, duties or obligations under this Agreement may be assigned by you without the express written consent of an authorized DOTC representative.

XI. Severability
----------------

To the extent a court of competent jurisdiction determines that any part or provision of this Agreement is unenforceable as a matter of law, such part or provision of this Agreement will be deemed severable and the remainder of this Agreement will survive and remain enforceable.

XIII. Entire Agreement
----------------------

This Agreement constitutes the complete and exclusive agreement between DOTC and you with respect to the subject matter hereof and supersedes all prior oral or written understandings, communications, or agreements not specifically incorporated herein. DOTC reserves the right to modify or revoke this Agreement at any time.

XIV. No Waiver
--------------

Waiver by DOTC of strict performances of any provision of this Agreement will not be a waiver of or prejudice DOTC’s right to require strict performance of the same provision in the future or of any other provision of this Agreement.

XV. No Agency, Joint Venture or Affiliation
-------------------------------------------

No provision of this Agreement, nor any act by you or DOTC, will be deemed or construed by either of the parties or by third parties, to create any relationship of third party beneficiary, or of principal or agent, or of limited or general partnership, or of joint venture, or of any association or relationship involving you and DOTC.
